UiPath Documentation
automation-suite
2.2510
true
UiPath Automation Suite API ガイド
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

新しい外部クライアントを生成する

Identity API を使用して、Automation Suite 組織内で新しい外部 OAuth クライアントを生成します。これには、必要なスコープと応答スキーマを含めます。

新しい外部クライアントを生成します。

API エンドポイント

POST https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/GenerateSecret

スコープ

次のスコープのいずれかが必要です。

  • PM.OAuthApp
  • PM.OAuthApp.Write
  • PM.OAuthAppSecret.Write

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、「認証方法」に記載されているいずれかの方法で認証を行ってください。

要求本文

要求本文には、シークレットを生成するクライアント ID、対応する説明、および組織 ID が含まれます。

{
  "clientId": "string",
  "description": "string",
  "partitionGlobalId": "orgId",
  "expiryTime": "2025-07-18T13:24:15.806Z"
}
{
  "clientId": "string",
  "description": "string",
  "partitionGlobalId": "orgId",
  "expiryTime": "2025-07-18T13:24:15.806Z"
}

応答

200 サクセス

指定した外部クライアントに対して新しいクライアント シークレットが正常に生成されました。

{
  "id": 0,
  "description": "string",
  "secret": "string",
  "creationTime": "2025-07-18T13:56:16.889Z",
  "expiryTime": "2025-07-18T13:56:16.889Z"
}
{
  "id": 0,
  "description": "string",
  "secret": "string",
  "creationTime": "2025-07-18T13:56:16.889Z",
  "expiryTime": "2025-07-18T13:56:16.889Z"
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • 要求本文
  • 応答
  • 200 サクセス

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得